# Fediverse Post Display

This displays posts from a JSON file exported from a fediverse account.

Currently this supports JSON from a Calckey installation

# Overview

This is a simple Svelte app that takes an exported JSON file and displays the contents of the posts. There is styling for a dark mode.

It uses the Vite template. More info here: https://svelte.dev/docs/introduction

The output is a single HTML file with all the components making it easy to post or simply view later.

Please update the contents of Header.svelte and Footer.svelte to make them your own.

# Calkey

1. Export your posts via the Import/Export Data under Settings
2. Download the JSON file from your Drive
3. Copy the file to the SRC folder, rename it `notes.json`

Note: the Calkey export does not contain links to boosts / reposts, nor the contents of quote posts

# Build

To run the files and test your setup and changes

```
npm run dev
```

To build the final

```
npm run build
```

this will build a single, self contained HTML file with all the inforamtion.

# Acknowledgements

Built with Svelte

http://svelte.dev

This uses Vite Singlefile Plugin (MIT License)

https://github.com/richardtallent/vite-plugin-singlefile

# License

The code in this repository is GPL 3.0

The contents of notes.json is CC-BY-NC, Jacob Haddon (jacobhaddon.com)

